#
# spec file for package minetest-game
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           minetest-game
Version:        5.2.0
Release:        bp153.1.14
Summary:        Minetest Game
License:        LGPL-2.1-or-later AND CC-BY-SA-3.0 AND CC-BY-SA-4.0 AND CC-BY-3.0 AND CC0-1.0
Group:          Amusements/Games/3D/Simulation
URL:            https://minetest.net/
Source0:        https://github.com/minetest/minetest_game/archive/%{version}/minetest_game-%{version}.tar.gz
Source99:       minetest-game-rpmlintrc
BuildRequires:  fdupes
BuildArch:      noarch

%description
The main game for the Minetest game engine.

%prep
%setup -q -n minetest_game-%{version}

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_datadir}/minetest/games/minetest_game
cp -ar * %{buildroot}%{_datadir}/minetest/games/minetest_game
%fdupes -s %{buildroot}%{_datadir}/minetest/games/minetest_game

%files
%license LICENSE.txt
%doc README.md
%dir %{_datadir}/minetest/
%dir %{_datadir}/minetest/games/
%{_datadir}/minetest/games/minetest_game/

%changelog
* Mon Apr  6 2020 Maximilian Trummer <opensuse@trummer.xyz>
- Update to version 5.2.0
  * Simple weather that varies the clouds (paramat)
  * More realistic boat physics (gang65)
  * Creative Inventory search:
    Item with exact match appears in first spot (sfan5)
  * Creative Inventory: More visual tweaks (Andrey2470T)
  * Improve player model animation (An0n3m0us)
  * Increase water opacity (lhofhansl)
  * Reset spawn position when bed is destroyed (Desour)
  * Papyrus now appears in rainforest swamps as well (paramat)
  * New/updated translations:
    + French (DrHackberrry)
    + Spanish (runsy)
    + Italian (h4ml3t)
    + Russian (Andrey2470T)
    + Swedish (Aresiel)
    + Malay (MuhdNurHidayat)
    + Chinese (zaoqi, IFRFSX)
  * Bugfix: TNT mod crashed when entities disappeared
    during explosion (sfan5)
  * Bugfix: Papyrus in savanna did not appear in 5.1.0,
    it has been added back (paramat)
  * Bugfix: Screwdriver was able to rotate torches
    into weird positions (An0n3m0us)
  * Bugfix: Players could be knocked back when attached (sfan5)
* Sat Jan 18 2020 Maximilian Trummer <opensuse@trummer.xyz>
- Update to version 5.1.1
  * See https://dev.minetest.net/Changelog#5.1.0_.E2.86.92_5.1.1
  * no changes, this is only a version bump to keep the
    package version in sync with minetest
* Sun Oct 13 2019 Maximilian Trummer <opensuse@trummer.xyz>
- Update to version 5.1.0
  * See https://dev.minetest.net/Changelog#5.0.0_.E2.86.92_5.0.1
  * Added dry dirt and dry dirt with dry grass. Grass never spreads on dry dirt
  * Savannas now have dry dirt and dry dirt with dry grass
  * Added steel bar door and steel bar trap door
  * Added setting “enable_fence_tall” for fences that cannot be jumped over (mbartlett21)
  * Firefly in a bottle can now be placed into vessels shelf
  * Add flowing water sound
  * Underground biomes extend much deeper, down to Y=-255
  * Make the creative mod hand dig 'dig_immediate' nodes fast (paramat)
  * Add new TNT sounds (TumeniNodes)
  * Add missing infotext to nodes (An0n3m0us)
  * Added translation support
  * Added German, French, Spanish and Italian translations (Wuzzy, Hamlet, JDiaz, DrHackberry)
* Tue Apr  2 2019 Maximilian Trummer <opensuse@trummer.xyz>
- Update to version 5.0.1
  * See https://dev.minetest.net/Changelog#5.0.0_.E2.86.92_5.0.1
* Sun Mar 24 2019 Maximilian Trummer <opensuse@trummer.xyz>
- Update to version 5.0.0
  * See https://dev.minetest.net/Changelog#0.4.16_.E2.86.92_5.0.0
* Tue Aug  7 2018 sor.alexei@meowr.ru
- Update to version 0.4.17:
  * Fix boo#1103904
  * See https://dev.minetest.net/Changelog#0.4.16_.E2.86.92_0.4.17
- Add the licence file to the package.
* Mon Jan 22 2018 opensuse@trummer.xyz
- Don't require minetest, to make headless installation possible
* Mon Jun  5 2017 sor.alexei@meowr.ru
- Update to version 0.4.16:
  * See http://dev.minetest.net/Changelog#0.4.15_.E2.86.92_0.4.16
* Tue Jan 10 2017 rpm@fthiessen.de
- Added minetest-game-rpmlintrc to fix build on openSUSE 13.1
* Mon Dec 26 2016 mailaender@opensuse.org
- Update to version 0.4.15
* Wed Jul 27 2016 jengelh@inai.de
- Update License field
* Mon May 16 2016 rpm@fthiessen.de
- Update to 0.4.14
* Wed Nov 25 2015 rpm@fthiessen.de
- Update to 0.4.13
* Thu Feb 19 2015 khyota@redhyena.net
- update 0.4.12
* Sun Sep 21 2014 mailaender@opensuse.org
- update 0.4.10
* Tue Jan  7 2014 mailaender@opensuse.org
- update 0.4.9
* Thu Aug  8 2013 opensuse@dstoecker.de
- update to 0.4.7
* Fri Apr 12 2013 mailaender@opensuse.org
- update to version 0.4.6
* Sun Dec  9 2012 m407@mail.ru
- Build version 0.4.4
* Sun Sep 23 2012 joop.boonen@opensuse.org
- Renamed the spec and changes file to the correct name
- Removed the creative mod as it's currently broken
- Used fdupes to get link duplicate file
* Sat Sep 22 2012 joop.boonen@opensuse.org
- Build version 0.4.3
* Fri Aug 10 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Always build for noarch
* Fri Aug 10 2012 m407@mail.ru
- Initial package (version 0.4.1) for build.opensuse.org
